> For the complete documentation index, see [llms.txt](https://developer.jylo.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.jylo.ai/api-reference/projects/share-point-imports.md).

# Share Point Imports

## List SharePoint imports for a project.

> Returns a paginated list of SharePoint imports for the project, sorted by date added (newest first by default).

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/sharepoint-imports":{"get":{"tags":["SharePoint Imports"],"summary":"List SharePoint imports for a project.","description":"Returns a paginated list of SharePoint imports for the project, sorted by date added (newest first by default).","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"desc","in":"query","schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Submit a SharePoint selection for import.

> Creates a queued SharePoint import for the project, transfers the user's stored refresh token onto the import, and enqueues the worker message.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.SharePoint.CreateSharePointImportRequestModel":{"required":["items"],"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportItemRequestModel"},"nullable":true},"ocrEngine":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCREngine"},"ocrStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.OCRStrategy"},"coordinateExtractionStrategy":{"$ref":"#/components/schemas/Jylo.Toolkit.Constants.CoordinateExtractionStrategy"},"parentObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Projects.Models.SharePoint.SharePointImportItemRequestModel":{"required":["itemType"],"type":"object","properties":{"itemType":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Data.Enums.SharePointImportItemType"},"siteId":{"type":"string","nullable":true},"driveId":{"type":"string","nullable":true},"itemId":{"type":"string","nullable":true},"displayName":{"type":"string","nullable":true},"webUrl":{"type":"string","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Projects.Data.Enums.SharePointImportItemType":{"enum":["site","drive","folder","file"],"type":"string"},"Jylo.Toolkit.Constants.OCREngine":{"enum":["azureDocumentIntelligence","aspose"],"type":"string"},"Jylo.Toolkit.Constants.OCRStrategy":{"enum":["never","detect","always"],"type":"string"},"Jylo.Toolkit.Constants.CoordinateExtractionStrategy":{"enum":["never","apryse","azureDocumentIntelligence","spreadsheet"],"type":"string"},"Jylo.Projects.Models.SharePoint.SharePointImportReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Data.Enums.SharePointImportStatus"},"failureReason":{"type":"string","nullable":true},"failureCode":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Data.Enums.SharePointImportFailureCode"},"itemsTotal":{"type":"integer","format":"int32","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateStarted":{"type":"string","format":"date-time","nullable":true},"dateCompleted":{"type":"string","format":"date-time","nullable":true},"documentUploadObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Projects.Data.Enums.SharePointImportStatus":{"enum":["queued","running","completedWithErrors","completed","failed","authExpired"],"type":"string"},"Jylo.Toolkit.Projects.Data.Enums.SharePointImportFailureCode":{"enum":["unknown","accessDenied","notFound","throttled","contentBlocked","unsupported","tooLarge","transient","authExpired"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/sharepoint-imports":{"post":{"tags":["SharePoint Imports"],"summary":"Submit a SharePoint selection for import.","description":"Creates a queued SharePoint import for the project, transfers the user's stored refresh token onto the import, and enqueues the worker message.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.CreateSharePointImportRequestModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.CreateSharePointImportRequestModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.CreateSharePointImportRequestModel"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Get a SharePoint import by identifier.

> Returns a single SharePoint import scoped to the supplied project. Responds 404 if the import does not exist or belongs to a different project.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Projects.Models.SharePoint.SharePointImportReadModel":{"type":"object","properties":{"objectIdentifier":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Data.Enums.SharePointImportStatus"},"failureReason":{"type":"string","nullable":true},"failureCode":{"$ref":"#/components/schemas/Jylo.Toolkit.Projects.Data.Enums.SharePointImportFailureCode"},"itemsTotal":{"type":"integer","format":"int32","nullable":true},"dateAdded":{"type":"string","format":"date-time"},"dateStarted":{"type":"string","format":"date-time","nullable":true},"dateCompleted":{"type":"string","format":"date-time","nullable":true},"documentUploadObjectIdentifier":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Projects.Data.Enums.SharePointImportStatus":{"enum":["queued","running","completedWithErrors","completed","failed","authExpired"],"type":"string"},"Jylo.Toolkit.Projects.Data.Enums.SharePointImportFailureCode":{"enum":["unknown","accessDenied","notFound","throttled","contentBlocked","unsupported","tooLarge","transient","authExpired"],"type":"string"},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/sharepoint-imports/{importIdentifier}":{"get":{"tags":["SharePoint Imports"],"summary":"Get a SharePoint import by identifier.","description":"Returns a single SharePoint import scoped to the supplied project. Responds 404 if the import does not exist or belongs to a different project.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"importIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Projects.Models.SharePoint.SharePointImportReadModel"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## List items for a SharePoint import.

> Returns a paginated list of the user's selections for the supplied import, in insertion order.

```json
{"openapi":"3.0.4","info":{"title":"Project API","version":"v1"},"servers":[{"url":"https://api.{tenant}.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/projects/{projectIdentifier}/sharepoint-imports/{importIdentifier}/items":{"get":{"tags":["SharePoint Imports"],"summary":"List items for a SharePoint import.","description":"Returns a paginated list of the user's selections for the supplied import, in insertion order.","parameters":[{"name":"projectIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"importIdentifier","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"pageNumber","in":"query","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.jylo.ai/api-reference/projects/share-point-imports.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
